/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.adsense.model;

import com.google.api.client.json.GenericJson;

/**
 * Model definition for Metadata.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the AdSense Management API. For a detailed explanation
 * see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Metadata extends GenericJson {

  /**
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<ReportingMetadataEntry> items;

  static {
    // hack to force ProGuard to consider ReportingMetadataEntry used, since otherwise it would be stripped out
    // see http://code.google.com/p/google-api-java-client/issues/detail?id=528
    com.google.api.client.util.Data.nullOf(ReportingMetadataEntry.class);
  }

  /**
   * Kind of list this is, in this case adsense#metadata.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**

   * The value returned may be {@code null}.
   */
  public java.util.List<ReportingMetadataEntry> getItems() {
    return items;
  }

  /**

   * The value set may be {@code null}.
   */
  public Metadata setItems(java.util.List<ReportingMetadataEntry> items) {
    this.items = items;
    return this;
  }

  /**
   * Kind of list this is, in this case adsense#metadata.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Kind of list this is, in this case adsense#metadata.
   * The value set may be {@code null}.
   */
  public Metadata setKind(String kind) {
    this.kind = kind;
    return this;
  }

}
